Package uk.co.mccombe.mapping

# Class LambertI

java.lang.Object
uk.co.mccombe.mapping.CoordinateSystem
uk.co.mccombe.mapping.Projection
uk.co.mccombe.mapping.Lambert
uk.co.mccombe.mapping.LambertI

public class LambertI extends Lambert
A non-abstract class implementing the Lambert Conformal Conical projection for Zone 1 (Northern France between latitudes 48.15 and 51.3 degrees N)

## Field Summary

### Fields inherited from class uk.co.mccombe.mapping.CoordinateSystem

`locus, ref, sph`

## Constructor Summary

Constructors
Constructor
Description
`LambertI(ENPair en, Ellipsoid e, Datum d)`
Create an instance of LambertI from easting and northing distances, Ellipsoid and Datum
`LambertI(Position p, Ellipsoid e, Datum d)`
Create an instance of LambertI from Position, Ellipsoid and Datum

## Method Summary

Modifier and Type
Method
Description
`protected double`
`e0()`
Define false easting value
`protected double`
`lamda0()`
Define longitude of grid origin
`static LambertI`
`makePoint(String gridref, Ellipsoid e, Datum d)`
Static factory method to create an instance of LambertI from a grid reference String
`protected double`
`n0()`
Define false northing
`protected double`
`phiB()`
Define latitude of false origin
`protected double`
`phiL()`
Define lower standard parallel for this projection
`protected double`
`phiU()`
Define Upper standard parallel for this conical projection

### Methods inherited from class uk.co.mccombe.mapping.Lambert

`calcCoords, defaultDatum, defaultEllipsoid, getEN, gridConvergence, toEN, toString`

### Methods inherited from class uk.co.mccombe.mapping.CoordinateSystem

`getDatum, getEllipsoid, getName, getPosition, getWGS84, parseDouble, toLatLong, toLatLongString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LambertI

public LambertI(Position p, Ellipsoid e, Datum d)
Create an instance of LambertI from Position, Ellipsoid and Datum

Parameters:
  `p` - the position of this point
  `e` - The Ellipsoid to use
  `d` - The datum to be used

### LambertI

public LambertI(ENPair en, Ellipsoid e, Datum d)
Create an instance of LambertI from easting and northing distances, Ellipsoid and Datum

Parameters:
  `en` - Easting and Northing distances
  `e` - Ellipsoid to use
  `d` - Datum to use

## Method Details

### makePoint

public static LambertI makePoint(String gridref, Ellipsoid e, Datum d) throws GridFormatException
Static factory method to create an instance of LambertI from a grid reference String

Parameters:
  `gridref` - A grid reference of the form "X=... Y=..." where the values are easting and northing distances in km. French convention sometimes includes the zone number as the first digit of the Y (northing) coordinate (e.g. "Y=1210.98" denoting a northing distance of 210.98km in zone 1). If present, this is ignored.
  `e` - Ellipsoid to use in conversions
  `d` - Datum to use in conversions
Returns:
  A new LambertI instance
Throws:
  `GridFormatException` - thrown in case of format error in the grid reference

### phiU

protected double phiU()
Define Upper standard parallel for this conical projection

Specified by:
  `phiU` in class `Lambert`
Returns:
  Upper Standard Parallel (radians)

### phiL

protected double phiL()
Define lower standard parallel for this projection

Specified by:
  `phiL` in class `Lambert`
Returns:
  Lower Standard Parallel (radians)

### phiB

protected double phiB()
Define latitude of false origin

Specified by:
  `phiB` in class `Lambert`
Returns:
  Latitude of false origin (radians)

### lamda0

protected double lamda0()
Define longitude of grid origin

Specified by:
  `lamda0` in class `Lambert`
Returns:
  Longitude of grid origin (radians)

### e0

protected double e0()
Define false easting value

Specified by:
  `e0` in class `Lambert`
Returns:
  False easting (m)

### n0

protected double n0()
Define false northing

Specified by:
  `n0` in class `Lambert`
Returns:
  False northing distance (m)